import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'config' },
})
export class Config extends BaseModel {
  @prop({ required: false, index: false, zh: 'logo' })
  logo: Array<any>;
  @prop({ required: false, index: false, zh: '早餐时间', remark: '' })
  b_time: Array<any>;
  @prop({ required: false, index: false, zh: '午餐时间' })
  l_time: Array<any>;
  @prop({ required: false, index: false, zh: '晚餐时间' })
  d_time: Array<any>;
}
