import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'dictData' },
})
export class DictData extends BaseModel {
  @prop({ required: false, index: true, zh: '字典类型编码' })
  code: string;
  @prop({ required: false, index: false, zh: '数据显示值' })
  label: string;
  @prop({ required: false, index: false, zh: '数据选择值' })
  value: string;
  @prop({ required: false, index: false, zh: '排序' })
  sort: number;
  @prop({ required: false, index: true, zh: '是否使用', default: '0' })
  is_use: string;
}
