import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { DictType } from '../../entity/system/dictType.entity';
type modelType = ReturnModelType<typeof DictType>;
@Provide()
export class DictTypeService extends BaseService<modelType> {
  @InjectEntityModel(DictType)
  model: modelType;
}